% ESPRIT DOA estimation using the ESPRIT algorithm
%
% For RFbeam V-MD3 use the following static IPV4 settings on your computer:
%   IP-Adress:  192.168.100.1
%   Subnet:     255.255.255.0
% Make sure that your firewall does not block the UDP packets.
%
% This program runs in an endless loop and is terminated by 
% closing the figure window or pressing a key.

close all;
clear;

% ENTER YOUR SETUP HERE
file='simo36.h5'; % FILE NAME FOR RECORDING AND PLAYBACK OF MEASUREMENT DATA
mode='adisimofile'; % FOR AVAILABLE MODES SEE STARTSTREAMING.M
K=2; % NUMBER OF TARGETS

% create figure window
keypressed=false;
figure('WindowKeyPressFcn',@terminate,'DeleteFcn',@terminate);

% start streaming of radar sensor data
sensor=startstreaming(mode,file);

[S1,S2,d]=subarrays(sensor); % selection matrices for two identical subarrays

% read complex raw adc values from sensor
first=true;
radc=getframe(sensor);
while ~keypressed&~isempty(radc)
    %radc=radc(:,3:end,:)-2*radc(:,2:end-1,:)+radc(:,1:end-2,:); % ACTIVATE DOUBLE CANCELLER HERE
    L=size(radc,1); % samples in fast time domain
    P=size(radc,2); % samples in slow time domain
    N=size(radc,3); % antenna elements

    % ADD YOUR CODE HERE
    
    % read complex raw adc values from sensor
    radc=getframe(sensor);
end

% stop streaming of radar sensor data
stopstreaming(sensor);

function terminate(src,event)
   assignin('base','keypressed',true);
end
