function frame=resynchronize(sensor)
%RESYNCHRONIZE read data from the RFBeam V-MD3 radar sensor till the end of the frame
%   frame       frame number since reset
%   sensor      radar sensor device

switch sensor.mode
    case {'rfbsimo','rfbmimo'}
        data=read(sensor.data,1,'uint32'); % get datagram
        while numel(data(1).Data)~=3 ...
                ||data(1).Data(1)~=typecast(uint8('DONE'),'uint32') ...
                ||data(1).Data(2)~=4
            data=read(sensor.data,1,'uint32'); % get another datagram
        end
        
        frame=data(1).Data(3); % frame number
       
    otherwise
    	error('unsupported mode');   
end

end
