function stopstreaming(sensor)
%STOPSTREAMING stop data streaming from the radar sensor
%   sensor      radar sensor device

switch sensor.mode
    case {'adisimo','adimimo'}
        % close board object
        delete(sensor.Brd);

        disp('stopped data streaming');
        
    case {'adisimofile','adimimofile'}
        disp('stopped reading data');
            
    case {'rfbsimo','rfbmimo'}
        % disconnect
        write(sensor.cmd,[uint8('GBYE'),0,0,0,0]);
        checkresponse(sensor);
        
        % close TCP connection
        delete(sensor.cmd);
        
        % close UDP connection
        delete(sensor.data);

        % close file
        fclose(sensor.file);
        
        disp('stopped data streaming');
        
    case {'rfbsimofile','rfbmimofile'}
        % close file
        fclose(sensor.file);
        disp('stopped reading data');

    otherwise
    	error('unsupported mode');
end

end
